Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 30191 - Create non-GUI NbErrorManager
Create non-GUI NbErrorManager
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
3.x
All All
: P4 (vote)
: 6.x
Assigned To: Jaroslav Tulach
issues@platform
: T9Y
Depends on: 35067
Blocks: 29124
  Show dependency treegraph
 
Reported: 2003-01-16 22:41 UTC by Jesse Glick
Modified: 2008-12-22 23:21 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2003-01-16 22:41:03 UTC
Should behave much like the current one does; but
(1) never should dialogs; (2) use System.err for
output only. core-windows.jar would register a
slight replacement working like the current one.
Comment 1 Jesse Glick 2003-01-16 22:42:04 UTC
Would make unit tests faster - you should not need to load
NbTopManager just because you call ErrorManager.getDefault() and you
have core.jar in your classpath.
Comment 2 Jaroslav Tulach 2004-05-06 14:06:30 UTC
Is not this already implemented? The default EM is DelegatingEM and if
it has nowhere to delegate it just uses System.err.
Comment 3 Jesse Glick 2004-05-06 14:31:44 UTC
No, it's not fixed. I know about EM.DEM but that's not what I want. I
want the basic functionality of NbEM without the GUI exception dialog
component, and I want that to the be the default EM you get with
core.jar in the CP, with perhaps core-windows.jar adding in the dialog.
Comment 4 Jesse Glick 2006-06-06 15:12:17 UTC
Still would be nice. Is it possible for the new logging-based NbEM to never show
a dialog? Preferably would be automatic when you ran a unit test that just
happened to have org-netbeans-core.jar in its classpath. May require the core
impl of DialogDisplayer to be moved to core/windows?
Comment 5 Jaroslav Tulach 2006-06-19 15:05:31 UTC
As soon as issue 35067 is merged to trunk, the visual part of NbErrorManager 
can disabled by use of 

-Dnetbeans.exception.alert.min.level=2000
-Dnetbeans.exception.report.min.level=2000

as described at:
http://www.netbeans.org/source/browse/core/arch/arch-core-launcher.xml?r1=1.42.4.2&r2=1.42.4.3


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo